#! /usr/bin/env ruby

require 'smf'
include  SMF

tr = Track.new
tr << TrackName.new(0, 'rand1')
srand
for ch in 0..7
  offset = 0
  for i in 0..127
    note = rand(128)
    vel = rand(127) + 1
    tr << NoteOn.new(offset, ch, note, vel)
    offset += rand(128)
    tr << NoteOff.new(offset, ch, note, 64)
  end
end
sq = Sequence.new << tr
sq.encodefile('rand1.mid')
